## mingw-w64-python-jsonschema-specifications-2025.9.1-1.src.tar.zst

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --output-file /Users/julian/Development/jsonschema-specifications/docs/requirements.txt docs/requirements.in
accessible-pygments==0.0.5
    # via furo
alabaster==1.0.0
    # via sphinx
attrs==25.3.0
    # via referencing
babel==2.17.0
    # via sphinx
beautifulsoup4==4.13.5
    # via furo
certifi==2025.8.3
    # via requests
charset-normalizer==3.4.3
    # via requests
docutils==0.21.2
    # via sphinx
furo==2025.7.19
    # via -r docs/requirements.in
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.6
    # via sphinx
jsonschema-specifications @ file:.#egg=jsonschema_specifications
    # via -r docs/requirements.in
markupsafe==3.0.2
    # via jinja2
packaging==25.0
    # via sphinx
pyenchant==3.3.0rc1
    # via
    #   -r docs/requirements.in
    #   sphinxcontrib-spelling
pygments==2.19.2
    # via
    #   accessible-pygments
    #   furo
    #   pygments-github-lexers
    #   sphinx
pygments-github-lexers==0.0.5
    # via -r docs/requirements.in
referencing==0.36.2
    # via jsonschema-specifications
requests==2.32.5
    # via
    #   sphinx
    #   sphinxcontrib-spelling
roman-numerals-py==3.1.0
    # via sphinx
rpds-py==0.27.1
    # via referencing
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.8
    # via beautifulsoup4
sphinx==8.2.3
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sphinxcontrib-spelling==8.0.1
    # via -r docs/requirements.in
sphinxext-opengraph==0.13.0
    # via -r docs/requirements.in
typing-extensions==4.15.0
    # via
    #   beautifulsoup4
    #   referencing
urllib3==2.5.0
    # via requests

=== PKGBUILD ===
# Contributor: Raed Rizqie <raed.rizqie@gmail.com>

_realname=jsonschema-specifications
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=2025.9.1
pkgrel=1
pkgdesc='The JSON Schema meta-schemas and vocabularies, exposed as a Registry (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: python-jsonschema-specifications'
  'gentoo: dev-python/jsonschema-specifications'
  'purl: pkg:pypi/jsonschema-specifications'
)
msys2_repository_url='https://github.com/python-jsonschema/jsonschema-specifications'
url='https://jsonschema-specifications.readthedocs.io/'
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-referencing")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-hatch-vcs"
             "${MINGW_PACKAGE_PREFIX}-python-hatchling"
             "${MINGW_PACKAGE_PREFIX}-python-installer")
options=('!strip')
source=("https://pypi.org/packages/source/${_realname::1}/${_realname/-/_}/${_realname/-/_}-${pkgver}.tar.gz")
sha256sums=('b540987f239e745613c7a9176f3edb72b832a4ac465cf02712288397832b5e8d')

build() {
  cp -r "${_realname/-/_}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=;--install-scripts=;--install-platlib=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 "COPYING" "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
